nautilus no longer remembers view per directory

Bug #1152226 reported by Marc Deslauriers on 2013-03-07
174
This bug affects 47 people
Affects Status Importance Assigned to Milestone
Nautilus
Confirmed
Medium
nautilus (Ubuntu)
High
Unassigned

Bug Description

Nautilus in raring no longer remembers the view per directory as it did in previous releases. This is a functionality regression.

Steps to reproduce:

1- Open nautilus from launcher
2- Go to "Downloads" directory
3- Switch view to "list"
4- Close nautilus window
5- Open nautilus again, and go to "Downloads" directory

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: nautilus 1:3.6.3-0ubuntu6
ProcVersionSignature: Ubuntu 3.8.0-11.20-generic 3.8.2
Uname: Linux 3.8.0-11-generic x86_64
ApportVersion: 2.9-0ubuntu2
Architecture: amd64
Date: Thu Mar 7 10:50:01 2013
GsettingsChanges: b'org.gnome.nautilus.window-state' b'geometry' b"'1004x670+148+241'"
InstallationDate: Installed on 2012-11-13 (113 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
SourcePackage: nautilus
UpgradeStatus: Upgraded to raring on 2013-02-13 (21 days ago)

Marc Deslauriers (mdeslaur) wrote :
Marc Deslauriers (mdeslaur) wrote :

Another related upstream bug, about removing it in the first place:
https://bugzilla.gnome.org/show_bug.cgi?id=682017

Changed in nautilus (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in nautilus:
importance: Unknown → Medium
status: Unknown → New

I simply cannot believe that the Gnome devs decided that deliberately doing this was a good idea. I really hope that someone is kind enough to revert the patch that was used to create this mess, and soon, or provides us with an alternative, and is kind enough to make that the default for Ubuntu. Quick-smart.

Matteo Pagliazzi (paglia) wrote :

Could this be fixed in Ubuntu only if Gnome wants to keep it this way?

Timo Palomaa (timppis) wrote :

#4: I doubt, as it require a patched version, but considering Ubuntu kept an older version of Nautilus in 12.10... I think it might not be that far fetched. I think better long-term solution would be to change to Nemo and would be a pretty bold statement directed to Gnome team.

This together with swapping of Ctrl+1 and Ctrl+2 shortcuts and aforementioned shortcuts forcing to lose focus after changing the view even when using only keyboard, make the list view pretty unsable anyway.

Jay Mac (jmac939) wrote :

This seems to me to be a questionable UX decision. Many users would prefer when going to some folders to see icons and for other folders to see a list, based on the contents of the folders. It makes less sense to have the persistence of the setting based on the random fact of a given window invocation at a given time.

Perhaps it should be a gconf setting, or better yet, a setting in the Preferences.

nixer (nixer) wrote :

Given the length this particular issue has been open, is it safe to assume that this isn't a decision that will be reversed by the development team?

Sebastien Bacher (seb128) wrote :

Unsure, that's an upstream decision...

tellapu (tellapu) wrote :

Any update on this? A lot of people (see also https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1295670) hope for a solution for this. I agree with Jay Mac: "it should be a gconf setting, or better yet, a setting in the Preferences."
This "bug" is driving me away from nautilus.

Sebastien Bacher (seb128) wrote :

you should comment on the upstream bug which is read by the people writing the software

tellapu (tellapu) wrote :

Hi Sebastien, thanks for the quick and helpful comment. I guess you mean the bugzilla report: https://bugzilla.gnome.org/show_bug.cgi?id=682017. I will do so!

Changed in nautilus:
status: New → Confirmed
tellapu (tellapu) wrote :

Oops, please add your comment to this report (not the link I copied earlier which is about removing it in the first place):
https://bugzilla.gnome.org/show_bug.cgi?id=683802
Thanks for changing the status!

Joel Östblom (joel-ostblom) wrote :

While waiting for more sensible default settings, a tip is to use Ctr+1 and Ctrl+2 to quickly toggle between the list and icon view.

So in Xenial Nautilus remembers some of its view settings but unfortunately not all.

Canonical already patches this particular program so could we finally get what is considered by most a sane and expected behaviour of every file manager in the universe.

tags: added: xenial
removed: raring
Roman Zabaluev (haarolean) wrote :

4 years later...

JD (dugganjl) wrote :

...still waiting...

tellapu (tellapu) wrote :

I have stopped waiting :-( and use Nemo instead.

tellapu (tellapu) wrote :

I hoped there will be a change in Ubuntu 18.04 but was disappointed. It has a high importance but still no news :(.

ali (uocxp) wrote :

..still waiting :/

tellapu (tellapu) wrote :

I would still love to see something happen here.
Why can this crucial feature not be resurrected? :O
It does not need to be set by default but at least having the option to have Nautilus remember the view per directory would be great. This is probably the only reason I don't use Nautilus and I would like to return but cannot because of this annoying bug.
Thanks for listening and hopefully somebody can have pity on us and work on this. Thanks in advance!

Pending a fix, I've switched to Nemo.

    On Thursday, January 17, 2019, 11:54:44 PM EST, tellapu <email address hidden> wrote:

 I would still love to see something happen here.
Why can this crucial feature not be resurrected? :O
It does not need to be set by default but at least having the option to have Nautilus remember the view per directory would be great. This is probably the only reason I don't use Nautilus and I would like to return but cannot because of this annoying bug.
Thanks for listening and hopefully somebody can have pity on us and work on this. Thanks in advance!

--
You received this bug notification because you are subscribed to a
duplicate bug report (1193297).
https://bugs.launchpad.net/bugs/1152226

Title:
  nautilus no longer remembers view per directory

Status in Nautilus:
  Confirmed
Status in nautilus package in Ubuntu:
  Triaged

Bug description:
  Nautilus in raring no longer remembers the view per directory as it
  did in previous releases. This is a functionality regression.

  Steps to reproduce:

  1- Open nautilus from launcher
  2- Go to "Downloads" directory
  3- Switch view to "list"
  4- Close nautilus window
  5- Open nautilus again, and go to "Downloads" directory

  ProblemType: Bug
  DistroRelease: Ubuntu 13.04
  Package: nautilus 1:3.6.3-0ubuntu6
  ProcVersionSignature: Ubuntu 3.8.0-11.20-generic 3.8.2
  Uname: Linux 3.8.0-11-generic x86_64
  ApportVersion: 2.9-0ubuntu2
  Architecture: amd64
  Date: Thu Mar  7 10:50:01 2013
  GsettingsChanges: b'org.gnome.nautilus.window-state' b'geometry' b"'1004x670+148+241'"
  InstallationDate: Installed on 2012-11-13 (113 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  MarkForUpload: True
  SourcePackage: nautilus
  UpgradeStatus: Upgraded to raring on 2013-02-13 (21 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/nautilus/+bug/1152226/+subscriptions

tellapu (tellapu) wrote :

Any progress on this?
I would really appreciate if this feature can return to Nautilus! And probably many others, too, 46 people are waiting on this bug report's progress and there are surely thousands more.
THANKS in advance!

PS: The assigned "gnome-bugs #683802" (https://gitlab.gnome.org/683802) is empty. There is another bug report on gitlab regarding this (https://gitlab.gnome.org/GNOME/nautilus/issues/58) which is closed and linked to Gnome Bugzilla (https://bugzilla.gnome.org/show_bug.cgi?id=683802).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.